---
# packages deploy tasks

# update role namespace
- name: 'role.namespace.update'
  set_fact:
    role_namespace: '{{ run_mode|upper }}.packages'

# load user specific vars if exists
- name: '{{ role_namespace }}.load.vars'
  include_vars: '{{ item }}'
  with_first_found:
    - 'packages.{{ sys_os_family }}.yml'
    - 'packages.default.yml'

# install packages
- name: '{{ role_namespace }}.install.packages'
  package:
    state: present
    name: '{{ iops_os_packages }}'


# eof
